export declare type Munch<T> = (input: string) => ({
    ans: T;
    rest: string;
} | null);
export declare const bind: <A, B>(ma: Munch<A>, callback: ((a: A) => Munch<B>)) => Munch<B>;
export declare const pure: <A>(a: A) => Munch<A>;
export declare const liftM2: <A, B, C>(f: (a: A, b: B) => C, ma: Munch<A>, mb: Munch<B>) => Munch<C>;
export declare const string: (prefix: string) => Munch<undefined>;
export declare const liftM3: <A, B, C, D>(f: (a: A, b: B, c: C) => D, ma: Munch<A>, mb: Munch<B>, mc: Munch<C>) => Munch<D>;
export declare const many: <A>(ma: Munch<A>) => Munch<A[]>;
export declare const many1: <A>(ma: Munch<A>) => Munch<A[]>;
export declare const sepBy1: <A, Sep>(o: {
    p: Munch<A>;
    sep: Munch<Sep>;
}) => Munch<A[]>;
