"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const munchers_1 = require("./munchers");
test('munchCoord', () => {
    expect((0, munchers_1.munchCoord)("CAIあ")).toEqual({ ans: ["AI", "C"], rest: "あ" });
    expect((0, munchers_1.munchCoord)("CA")).toEqual({ ans: ["A", "C"], rest: "" });
    expect((0, munchers_1.munchCoord)("C")).toBe(null);
});
test('munchFromhand', () => {
    expect((0, munchers_1.munchFromHopZuo)("")).toBe(null);
    expect((0, munchers_1.munchFromHopZuo)("黒")).toBe(null);
    expect((0, munchers_1.munchFromHopZuo)("黒弓")).toBe(null);
    expect((0, munchers_1.munchFromHopZuo)("黒弓M")).toBe(null);
    expect((0, munchers_1.munchFromHopZuo)("黒弓MY")).toEqual({
        ans: {
            color: 1,
            prof: 2,
            dest: ["Y", "M"]
        }, rest: ""
    });
});
